(Updated) Minecraft 1.17 Server File Download Announcement


It is finally time! Minecraft 1.17 has finally released, and is now ready to go as a server file download! This is the updated post following the 1.17 snapshot releases.



Please Remember! You must use Java 16 in order to start your Minecraft server. For more information and direct download links, visit the post below: https://www.reddit.com/r/Actualfixes/comments/nv9jxa/117_server_wont_startissues_starting_during_setup/



1.17 Server Jar File Direct Download:



https://launcher.mojang.com/v1/objects/0a269b5f2c5b93b1712d0f5dc43b6182b9ab254e/server.jar



Article:



If you'd like to enable the 1.17 world generation on your world, you can find more information here:



https://www.reddit.com/r/Actualfixes/comments/mtssrx/minecraft_117_world_generation_data_pack/? Here we go again utm_source=share&utm_medium=web2x&context=3



for some reason, the download wont work for me both with and without the command the window just pops up and goes or when i directly execute the jar file it gives me the error "A JNI error has occurred, please check your installation and try again"



same for me



i had the same issue. after installing jdk 16 it works, the first time you run it it'll generate eula.txt and you have to edit it from false to true and then run it again



download this, this worked for me. https://www.oracle.com/java/technologies/javase-jdk16-downloads.html



Hey there! Is the actual file itself downloading? Does the link lead to any specific error/unregistered page? If need be, you can also download the jar file directly from this official Mojang website: https://www.minecraft.net/en-us/download/server



Let me know how that goes for you! Cheers!



It doesn't work?!?! ?



help plz



Download this. look for the one that's your OS https://www.oracle.com/java/technologies/javase-jdk16-downloads.html



If anyone is getting an error while launching the server.jar for 1.17 download the latest Java SE. It instantly fixed the problem https://www.oracle.com/java/technologies/javase-jdk16-downloads.html



i have gotten this error



Error: LinkageError occurred while loading main class net.minecraft.bundler.Main java.lang.UnsupportedClassVersionError: net/minecraft/bundler/Main has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 60.0



can someone tell what is wrong?



Hey, you appear to be running the file using a different version of java, which is not compatible with the server file. Please make sure that you are using java 8 for your server. If you have any further questions, please do let me know. Cheers!



Hi! I'm trying to download the jar, but it downloads as an explore link and it won't let me open it with java. It's supposed to download as a javascript right? how do I fix this? I understand the rest, I just can't figure out how to change how it downloads. Or how to open the explore link in java. Thank you!


Created: 13/08/2022 22:24:14
Page views: 11
CREATE NEW PAGE